import tkinter as tk


def main():
    try:
        lower_number = int(textbox.get())
        submit_btn.pack_forget()
        error.pack_forget()

        beginning_text = '            { "'

        second_text = '@beacon.item_renderer_template": { "property_bag": { "#item_id_aux": '
        third_text = ' }, "$label": "'
        final_text = '" } },'
        final_text_in_list = '" } }'

        beacon_json_file = open('beacon_screen.json', 'w')

        header = '{\n  "item_renderer_template@beacon.item_renderer": {\n    "size": [ 22, 22 ],\n    "alpha": 0.5,\n    "controls": [\n      {\n        "bg_image": {\n          "type": "image",\n          "texture": "textures/ui/item_cell",\n          "layer": -2,\n          "size": [ 22, 22 ]\n        }\n      },\n      {\n        "text": {\n          "type": "label",\n          "text": "$label",\n          "$label|default": "",\n          "layer": -1,\n          "color": "$item_number_color",\n          "shadow": "$use_item_number_shadow",\n          "alpha": "$item_number_opacity",\n          "anchor_from": "top_middle",\n          "anchor_to": "top_middle"\n        }\n      }\n    ]\n  },\n\n  "beacon_panel": {\n    "type": "panel",\n    "controls": [\n      {\n        "panel_0": {\n          "type": "grid",\n          "grid_dimensions": [ 22, 10 ],\n          "grid_item_template": "beacon.item_renderer_template",\n          "anchor_from": "center",\n          "anchor_to": "center",\n          "controls": ['
        print(header, file=beacon_json_file)

        for numbers in range(lower_number, lower_number + 219, 1):
            print((beginning_text + str(numbers) + second_text +
                   str(numbers * 65536) + third_text + str(numbers) + final_text), file=beacon_json_file)

        print((beginning_text + str(lower_number + 219) +
               second_text + str((lower_number + 219) * 65536) + third_text + str(lower_number + 219) + final_text_in_list), file=beacon_json_file)

        footer = '          ]\n        }\n      }\n    ]\n  }\n}'
        print(footer, file=beacon_json_file)

        beacon_json_file.close()
        submit_btn.place(x=190, y=156)
        success.pack()
    except:
        error.pack()
        success.pack_forget()


window = tk.Tk()
window.minsize(450, 200)
window.maxsize(450, 200)
window.title("Old Item ID Resource Generator")
window.iconbitmap(default='icon.ico')

frame1 = tk.Frame(master=window, height=150)
description = tk.Label(master=frame1, text="This program writes a JSON file that shows 220 old item IDs for\nMinecraft: Bedrock Edition. You need to open\na beacon in-game to see these IDs. Type the starting number below\nand click Create File to create a new JSON file in the current directory.", foreground="blue")
description.pack()
padding = tk.Frame(master=frame1, height=10)
padding.pack()
error = tk.Label(
    master=frame1, text="The input must be an integer, try again.", foreground="red")
error.pack_forget()
success = tk.Label(
    master=frame1, text="SUCCESS!\nbeacon_screen.json created in the current directory!", foreground="green")
success.pack_forget()
frame1.pack(fill=tk.X)


textbox = tk.Entry()
submit_btn = tk.Button(text="Create File", command=main)
textbox.place(x=160, y=130)
submit_btn.place(x=190, y=156)

window.mainloop()
